Bug 81760 - add a "goto" button in the object detail window
Summary: add a "goto" button in the object detail window
Status: RESOLVED FIXED
Alias: None
Product: kstars
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR wishlist with 1 vote (vote)
Target Milestone: ---
Assignee: kstars
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-05-17 20:43 UTC by gerlando
Modified: 2004-10-04 09:19 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description gerlando 2004-05-17 20:43:24 UTC
Version:           1.0 (using KDE 3.2 BRANCH >= 20040204, Mandrake Linux Cooker i586 - Cooker)
Compiler:          gcc version 3.3.2 (Mandrake Linux 10.0 3.3.2-6mdk)
OS:                Linux (i686) release 2.6.3-4mdkenterprise

It would be useful to have a "goto" or "center" button in the object detail window of kstars, so you can find the objcet from there.
This because using the tool for look what is visible tonight you can see the objcet detail window, but not actually center the object in the map.
Comment 1 kstars 2004-06-01 09:51:57 UTC
Good idea, thanks!
Comment 2 M.Hilpert 2004-06-20 03:23:05 UTC
yep, i would find this very useful, too!
Comment 3 kstars 2004-10-04 09:19:20 UTC
CVS commit by harris: 

Several Improvements:

+ Added "Center Object" buttons to WUT tool and DetailDialog (wish 
#81760).

+ Added UI files for AddLinkDialog and DetailDialog.  The latter 
involved some pretty substantial reworking of the existing code.  It 
should be easier to understand now.

+ The "Edit URL Link" function in DetailDialog now uses AddLinkDialog 
rather than a custom on-the-fly dialog.

CCMAIL: 81760-done@bugs.kde.org
CCMAIL: kstars-devel@kde.org


  A            addlinkdialogui.ui   1.1
  A            detaildialogui.ui   1.1
  M +1 -1      Makefile.am   1.123
  M +18 -62    addlinkdialog.cpp   1.15
  M +20 -19    addlinkdialog.h   1.6
  M +316 -499  detaildialog.cpp   1.43 [POSSIBLY UNSAFE: printf]
  M +29 -110   detaildialog.h   1.13
  M +8 -8      skymap.cpp   1.147
  M +16 -1     tools/wutdialog.cpp   1.35
  M +38 -11    tools/wutdialog.h   1.9
  M +18 -4     tools/wutdialogui.ui   1.9